// This is the body of the manual page for ntploggps
// It's included in two places: once for the docs/ HTML
// tree, and once to make an individual man page.

== SYNOPSIS
[verse]
ntploggps [-h] [-l LOGFILE] [-o] [-w WAIT] [-v] [-V]

  -h, --help            show this help message and exit
  -l LOGFILE, --logfile LOGFILE
                        append log data to LOGFILE instead of stdout
  -o, --once            log one line, then exit
  -w WAIT, --wait WAIT  wait WAIT seconds after each log line, default 5
  -v, --verbose         be verbose
  -V, --version         show program's version number and exit

== DESCRIPTION

ntploggps connects to a local gpsd daemon and logs the number of satellites
in use and the Time Dilution of Precision (TDOP).  ntploggps can run as
any user, no special privileges are required.

The default is to write the data to stdout about once every 5 seconds.
The log file looks like:

-----------------------------------------------------
# Time       Device     TDOP     nSat
1483668619.0 /dev/ttyS0 0.820000 7
1483668624.0 /dev/ttyS0 0.820000 7
1483668629.0 /dev/ttyS0 0.820000 7
-----------------------------------------------------

+Time+ is the POSIX time of when the log line is written.

+Device+ is the GPS device the data came from.

+TDOP+ is the Time Dilution of Precision as reported by the GPS.  Some
GPS always output a static TDOP.

+nSat+ is the number of satellites in use.

== OPTIONS

+-h, --help+::
  Displays usage information and exits.

+-l LOGFILE, --logfile LOGFILE+::
  Append log data to LOGFILE instead of stdout

+-o, --once+::
  Log one line, then exit.

+-v, --verbose+::
  Be verbose

+-w WAIT, --wait WAIT+::
  Wait WAIT seconds after each log line.  The default is 5 seconds.  This
  is just the minimum wait time.  gpsd may be reporting data at a much
  slower interval.

+-V, --version+::
 show program's version number and exit

== USAGE

+ntploggps+::
  This the simplest use of this program. It can be used to check the
  status of the local gpsd daemon.

+ntploggps -l /var/log/ntpstats/gpsd -w 60+ &::
  This will continuously log the gpsd data in the background to the file
  /var/log/ntpstats/gpsd.  Only log every 60 seconds.

== AUTHORS

Gary E. Miller

// end

